//script for auntie

void main( void )
{
preload_seq(251);
preload_seq(253);
preload_seq(257);
preload_seq(259);

 if (&s2-aunt < 4)
 {
 int &temphold = create_sprite(160,150, 0, 0, 0);
 sp_script(&temphold, "s2-jack");
 wait(5);
 }
int &myrand;
sp_base_walk(&current_sprite, 250);
sp_speed(&current_sprite, 1);
//sp_timing(&current_sprite, 66);

//set starting pic

sp_pseq(&current_sprite, 251);
sp_pframe(&current_sprite, 1);

if (&s2-aunt == 2)
  {
   freeze(1);
   sp_hitpoints(&temphold, 50);
   sp_brain(&current_sprite, 0);
   sp_x(&current_sprite, 113);
   sp_y(&current_sprite, 180);
   sp_brain(&temphold, 0);
   sp_x(&temphold, 154);
   sp_y(&temphold, 160);
   sp_pseq(&current_sprite, 259);
   sp_pseq(&temphold, 341);
&save_x = sp_x(&current_sprite, -1);
&save_y = sp_y(&current_sprite, -1);
&save_y -= 40; 
   wait(500);
   playsound(9, 22050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 188, 1);
 sp_seq(&mcrap, 188);
  
   say_stop("`6叫你还嘴！叫你还嘴！", &temphold);
  sp_dir(&temphold, 1);
   wait(500);
  sp_dir(1, 1);
   playsound(9, 22050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 189, 1);
 sp_seq(&mcrap, 189);
  wait(300);
   playsound(9, 22050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 188, 1);
 sp_seq(&mcrap, 188);
 say_stop("`#Jack!不要，停...", &current_sprite);
  wait(300);
  say_stop("`6闭上你的臭嘴！", &temphold);
  sp_dir(&temphold, 1);

   playsound(9, 22050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 189, 1);
 sp_seq(&mcrap, 189);
  wait(300);
 say_stop("`#我走了！受够了！我们玩完了！", &current_sprite);
  wait(300);
  say_stop("`6玩完了吗？真的？", &temphold);

   playsound(9, 22050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 188, 1);
 sp_seq(&mcrap, 188);
wait(50);
   playsound(9, 22050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 189, 1);
 sp_seq(&mcrap, 189);
wait(50);

   playsound(9, 17050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 188, 1);
 sp_seq(&mcrap, 188);
wait(50);
   playsound(9, 22050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 189, 1);
 sp_seq(&mcrap, 189);
wait(50);
   playsound(9, 24050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 188, 1);
 sp_seq(&mcrap, 188);
wait(50);
   playsound(9, 22050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 189, 1);
 sp_seq(&mcrap, 189);
wait(50);

   playsound(9, 22050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 188, 1);
 sp_seq(&mcrap, 188);
wait(50);
   playsound(9, 22050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 189, 1);
 sp_seq(&mcrap, 189);
wait(50);

   playsound(9, 17050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 188, 1);
 sp_seq(&mcrap, 188);
wait(50);
   playsound(9, 22050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 189, 1);
 sp_seq(&mcrap, 189);
wait(50);
   playsound(9, 24050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 188, 1);
 sp_seq(&mcrap, 188);
wait(50);
   playsound(9, 22050,0,0,0);
 int &mcrap = create_sprite(&save_x, &save_y, 5, 189, 1);
 sp_seq(&mcrap, 189);
wait(50);




   wait(2000);

  say_stop("`6宝贝你怎么样？", &temphold);
  wait(2000);
 &s2-aunt = 3;

  say_stop("`6你不该让我这么生气的。", &temphold);
  wait(1000);
 sp_brain(&current_sprite, 16);
  unfreeze(1);

 say_stop("`#<哭泣>", &current_sprite);
 wait(1000);
 sp_brain(&temphold, 16);
  return;
  }


if (&s2-aunt == 0)
  {
   freeze(1);
  
   sp_x(&current_sprite, 600);
   sp_y(&current_sprite, -50);
   wait(500);
   say_stop("Hello.", 1);
   freeze(&temphold);
   sp_dir(&temphold, 3);
   wait(500);
   say_stop("`6你是什么人？", &temphold);
   wait(500);
   say_stop("我..我是丁克小森林...我有信...", 1);
   wait(500);
   say_stop("`6我没用任何方法给任何人发过任何信！", &temphold);
   wait(500);
   say_stop("可是我...", 1);
   wait(300);
   say_stop("`6滚出去。", &temphold);

   move_stop(&current_sprite, 1, 430, 1);
   sp_seq(&current_sprite, 0);
   wait(500);
   say_stop("`#丁克！你来啦！", &current_sprite);
   wait(500);
   say_stop("Maria阿姨！", 1);
   wait(500);
   say_stop("`6怎么回事？你怎么认识我妻子？你们在我背后偷情吗？", &temphold);
   wait(500);
   say_stop("`#Jack, 这是我在 Stonebrook 的外甥啊。", &current_sprite);
   wait(500);
   say_stop("`#他要和我们住一阵。", &current_sprite);
   wait(500);
   say_stop("`6什么？什么时候开始？靠！居然有这样的事！", &temphold);
   wait(500);
   say_stop("`#丁克，我给你在楼上准备了间房。", &current_sprite);
   wait(500);
   say_stop("谢谢，一定没问题的。", 1);
   wait(500);
   say_stop("`#需要什么的话尽管跟我说，啊。", &current_sprite);
   &s2-aunt = 1;
   unfreeze(&temphold);
    }


   unfreeze(1);
  }

sp_brain(&current_sprite, 16);


}

void talk( void )
{

 freeze(1);
 freeze(&current_sprite);
         choice_start()
(&s2-aunt == 1) "关于母亲的事"
(&s2-aunt == 1) "关于这个镇"
(&s2-aunt == 3) "鼓励她和Jack离婚"
(&s2-aunt == 3) "鼓励她继续给Jack打"
(&s2-aunt == 4) "安慰她"
(&s2-aunt == 4) "请求换个大床"
(&s2-aunt == 4) (&story == 8) "给 Maria 讲述你的经历"
(&s2-aunt == 5) "什么也不说"
(&s2-aunt == 4) (&story > 15) "自夸"
         "离开"
         choice_end()

        if (&result == 8)
        {
        wait(400);
        say_stop("我只想说，谢谢让我住在这里。", 1);
        wait(400);
        say_stop("`#没问题的丁克。你有没有在找工作啊？", &current_sprite);
        wait(400);
        say_stop("啊哈哈，那个啊， 呀，我得走了，再见！", 1);

        }
        if (&result == 7)
        {
        wait(400);
        say_stop("猜猜我今天做了什么了。", 1);
        wait(400);
        say_stop("`#救了Nadine的女儿吗？", &current_sprite);
        wait(400);
        say_stop("哦，啊，对，你是怎么知道的？", 1);
        wait(400);
        say_stop("`#在国王报上写着呢，Healers旁有一份。", &current_sprite);
        wait(400);
        say_stop("啊，好的。", 1);
        &s2-aunt = 5;
        }

        if (&result == 1)
        {
        wait(400);
         say_stop("那你是怎么认识我妈的呢？", 1);
        wait(400);
        say_stop("`#我们是姐妹 o.O", &current_sprite);
        wait(400);
        say_stop("哦，哈哈，那就说得过去了。", 1);
        }
        if (&result == 2)
        {
        wait(400);
         say_stop("Terris 是个什么样的小镇呢？", 1);
        wait(400);
        say_stop("`#在这里住倒也不错。", &current_sprite);
        wait(400);
        say_stop("你看上去并不是很热衷于此镇的样子。", 1);
        wait(400);
        say_stop("`#那个，最近有点不顺吧，没事。", &current_sprite);
        }

        if (&result == 3)
        {
        wait(400);
         say_stop("我看到Jack打你了。", 1);
        wait(400);
        say_stop("`#你，你看到了？", &current_sprite);
        wait(400);
        say_stop("为什么不离开他呢？现在？今晚？", 1);
        wait(400);
        say_stop("`#我，我怕他，他会找到我的。", &current_sprite);
        wait(400);
        say_stop("哼，那看来我得教训教训他一顿。", 1);
        wait(400);
        say_stop("`#当心，他很强壮。", &current_sprite);
        wait(400);
        say_stop("你看着吧，没什么的。", 1);
        }

        if (&result == 4)
        {
        wait(400);
         say_stop("我看到Jack打你了。", 1);
        wait(400);
        say_stop("`#你，你看到了？", &current_sprite);
        wait(400);
        say_stop("是啊，他真厉害，嘿嘿，打得好棒。", 1);
        wait(400);
        say_stop("`#你说什么？！", &current_sprite);
        wait(400);
        say_stop("那一击好厉害 - 这需要多少苦练才行啊。", 1);
        }

        if (&result == 5)
        {
        wait(400);
         say_stop("你还好吧？", 1);
        wait(400);
        say_stop("`#我没事。你喜欢我们的镇吗？喜欢住这里吗？", &current_sprite);
        wait(400);
        say_stop("嗯，我觉得居民们都待我不错。", 1);
        wait(400);
        say_stop("`#你在楼上我觉得很安全。", &current_sprite);
        wait(400);
        say_stop("我也是。", 1);
        }
        if (&result == 6)
        {
        wait(400);
         say_stop("这个，我很喜欢这房间，不过，这个床太小了点吧。", 1);
        wait(400);
        say_stop("`#我可以和你换，不过我的床也这般大小。", &current_sprite);
        wait(400);
        say_stop("要不把两个小的换成个大的？", 1);
        wait(400);
        say_stop("`#我可是你阿姨也，丁克！", &current_sprite);
        wait(400);
        say_stop("那又怎么样哦？", 1);
        wait(400);
        say_stop("`#我，我有事要做！", &current_sprite);
        }


        if (&result == 9)
        {
        wait(400);
         say_stop("猜猜发生什么事了，我才从我的冒险旅程归来。", 1);
        wait(400);
        say_stop("`#不错啊。", &current_sprite);
        wait(400);
        say_stop("差不多拯救了整个宇宙。", 1);
        wait(400);
        say_stop("`#啊，哈，嗯，行。", &current_sprite);
        wait(400);
        say_stop("你不相信？", 1);
        wait(400);
        say_stop("`#对不起丁克，我知道你们年轻人喜欢说故事。", &current_sprite);
        wait(400);
        choice_start()
        "嗯，无所谓啦"
        "发怒"
        choice_end();
         if (&result == 1)
         {
        say_stop("哈哈，那没什么啦，就喜欢阿姨这个样子。", 1);

         }
         if (&result == 2)
         {
        say_stop("你！！！", 1);
        wait(400);
        say_stop("`#干什么？", &current_sprite);
        wait(400);
        say_stop("看来我不该杀Jack的", 1);
        wait(400);
        say_stop("该跟他一起对付你。", 1);       
         }


        }



   unfreeze(1);
   unfreeze(&current_sprite);
   return;

}

void hit(void)
{
 int &mcrap = random(4, 1);

  if (&mcrap == 1)
    Say("像个男人一样受我一击吧，女人！", 1);
  if (&mcrap == 2)
    Say("`#不...请不要打我！", &current_sprite);
  if (&mcrap == 3)
    Say("希望你喜欢痛的！", 1);
  if (&mcrap == 4)
    Say("我讨厌亲戚！", 1);


}
